from django.contrib import admin
from django.contrib.auth.admin import UserAdmin,GroupAdmin
from django.contrib.auth.models import User, Group
from unfold.admin import ModelAdmin
from .models import Site, Page, Url, Variable
admin.site.unregister(Group)
admin.site.unregister(User)

@admin.register(User)
class UserAdmin(UserAdmin, ModelAdmin): pass

@admin.register(Group)
class GroupAdmin(GroupAdmin, ModelAdmin): pass

@admin.register(Site)
class SiteAdmin(ModelAdmin):
  list_display = ["domain","base_page"]
  list_editable = ["base_page"]

@admin.register(Page)
class PageAdmin(ModelAdmin): pass

@admin.register(Url)
class UrlAdmin(ModelAdmin):
  list_display = ["site","page","path"]
  list_display_links = ["path"]
  list_editable = ["site","page"]

@admin.register(Variable)
class VariableAdmin(ModelAdmin):
  list_display = ["name","value"]
  list_editable = ["value"]