from django.shortcuts import render, get_object_or_404
from django.views import View
from django import template
from .models import Site, Url, Variable
from django.http import HttpResponse

context = template.Context({})
class MainView(View):
  def get(self,request):
    return PageView.get(self,request,'root')

class PageView(View):
  def get(self,request,page):
    s = get_object_or_404(Site,domain=request.META["HTTP_HOST"])
    r = get_object_or_404(Url,path=page,site=s)
    t = template.Template(r.page.content)
    content = t.render(context)
    context.update({
      "content": content,
      "title": r.page.title
    })
    t = template.Template(s.base_page.content)
    return HttpResponse(t.render(context))